/*
Template:ystandard
Theme Name:ystandard-witchslife
Theme URI: https://wp-ystandard.com
Author: yosiakatsuki
Author URI: https://yosiakatsuki.net
Description:「自分色に染めた、自分だけのサイトを作る楽しさ」を感じてもらうために作った一風変わったWordPressテーマ「ystandard」の子テーマ
Version: 4.0.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

This theme, like WordPress, is licensed under the GPL.
Use it to make something cool, have fun, and share what you've learned with others.
*/

.has-background .sidebar__fixed>*,
.has-background .sidebar__widget>*{
    background-color: transparent;
}
body{
    --pagination-text:var(--wp--preset--color--ys-yellow);
}
.pagination{
    font-weight: 700;
}

/* header */

.site-branding{
    display: flex;
    align-items: center;
    gap: 1em;
}
.global-nav__menu>.menu-item>a{
    padding: 0.5em 0;
}

/* sidebar */

.widget_block .wp-block-heading{
    margin-bottom: 15px;
    padding: 10px;
    padding-bottom: 4px;
    position: relative;
    border-bottom: 3px double var(--wp--preset--color--ys-yellow);
    font-size: 1.3rem;
    font-weight: 700;
}
.wp-block-latest-posts.wp-block-latest-posts__list{
    margin-top: 0;
}
.wp-block-latest-posts.wp-block-latest-posts__list li{
    border-bottom: #f0e0b5 1px solid;
}
.wp-block-categories-list li{
    display: flex;
    justify-content: space-between;
    padding: 0.5em 0;
    border-bottom: #f0e0b5 1px solid;
}
.wp-block-latest-posts.wp-block-latest-posts__list a,
.wp-block-categories-list a,
.wp-block-archives a, .wp-block-archives-list a {
    display: block;
    overflow: hidden;
    padding-top: 0;
    padding-left: 28px;
    padding-bottom: 4px;
    line-height: 1.6rem;
    font-size: .9rem;
    position: relative;
    color: var(--font-color);
    font-weight: 500;
}
.wp-block-categories-list li a{
    padding-bottom: 0;
}
.wp-block-latest-posts.wp-block-latest-posts__list a::before,
.wp-block-categories-list a::before,
.wp-block-archives a::before, .wp-block-archives-list a::before {
    display: block;
    width: .4em;
    height: .4em;
    transform: rotate(-45deg);
    border-right: #fff 2px solid;
    border-bottom: #fff 2px solid;
    content: "";
    position: absolute;
    top: 8.5px;
    left: 6.5px;
    z-index: 3;
}
.wp-block-latest-posts.wp-block-latest-posts__list a::after,
.wp-block-categories-list a::after,
.wp-block-archives a::after, .wp-block-archives-list a::after {
    display: block;
    width: 1.2em;
    height: 1.2em;
    content: "";
    position: absolute;
    top: 4px;
    left: 3px;
    z-index: 2;
    background-color: var(--wp--preset--color--ys-yellow);
    border-radius: 50%;
}
.wp-block-latest-posts.wp-block-latest-posts__list time{
    margin-top: 0;
    text-align: right;
    color: var(--wp--preset--color--ys-yellow);
}
.ys-profile-widget{
    background: var(--wp--preset--color--ys-white) !important;
    margin-left: 1em;
    margin-right: 1em;
}
.author-box__sns-link{
    padding: .3em;
    margin: .2em;
    display: block;
    background-color: var(--wp--preset--color--ys-yellow);
    line-height: 1;
}
.sns-text--globe,
.sns-text--x{
    color: var(--wp--preset--color--ys-white);
}
.sns-text--twitter a .ys-icon svg{
    display: none;
}
.sns-text--twitter a .ys-icon::before{
    content: '';
    display: block;
    width: 1em;
    height: 1em;
    background-image: url(img/logo-bluesky.png);
    background-size: 180% auto;
    background-repeat: no-repeat;
    background-position: center;
}

.wp-block-tag-cloud a {
    display: inline-table;
    max-width: 100%;
    padding: 4px 8px;
    margin-bottom: 4px;
    margin-right: 1px;
    background: rgba(0, 0, 0, .04);
    color: #222;
    border-radius: 2px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: .65rem !important;
    text-decoration: none;
    letter-spacing: 0;
    transition: color .4s ease, background .4s ease, transform .4s ease, opacity .4s ease, border .4s ease, padding .4s ease, left .4s ease, box-shadow .4s ease;
}
.wp-block-tag-cloud a:hover {
    color: var(--wp--preset--color--ys-white);
    background-color: var(--wp--preset--color--ys-yellow);
}
.wp-block-search__inside-wrapper{
    border-radius: 50px;
    padding-left: 1em;
    padding-right: 1em;
}
.wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper .wp-block-search__button{
    padding: .5em 0;
}
.wp-block-search .wp-block-search__button,
.wp-block-search.wp-block-search__button-inside .wp-block-search__inside-wrapper .wp-block-search__input{
    border: none;
}

.popular-posts h2{
    margin-top: 0;
    margin-bottom: 15px;
    padding: 10px;
    padding-bottom: 4px;
    position: relative;
    border-bottom: 3px double var(--wp--preset--color--ys-yellow);
    font-size: 1.3rem;
    font-weight: 700;
}
.wpp-list{
    padding-left: 0;
    counter-reset: rnknum;
}
.wpp-list li{
    list-style: none;
    position: relative;
    counter-increment: rnknum;
}
.wpp-list li::before{
    content: counter(rnknum);
    position: absolute;
    top: 0;
    left: 0;
    width: 20px;
    height: 1em;
    color: #fff;
    background: #ccc !important;
    text-align: center;
    line-height: 0;
    font-size: .75rem;
    font-weight: 700;
    padding-top: 10px;
    letter-spacing: 0;
}
.wpp-list li:first-child:before,
.wpp-list li:nth-child(2):before,
.wpp-list li:nth-child(3):before{
    background-color: #ce9700 !important;
}
.new-entry-item a {
    display: block;
    overflow: hidden;
    color: var(--font-color);
}
.new-entry {
    width: calc(33.3333333333% - 0px);
    float: left;
    margin-left: 0;
}
.new-entry .eyecatch {
    width: 100%;
    padding: 0;
    margin: 0;
}
.new-entry .eyecatch img {
    aspect-ratio: 4 / 3;
    object-fit: cover;
    width: 100%;
    height: auto;
    display: block;
    background: #fff;
    transition: color .3s ease, background .3s ease, transform .3s ease, opacity .3s ease, border .3s ease, padding .3s ease, left .3s ease, bottom .3s ease, box-shadow .3s ease;
}
.new-entry-item-meta {
    width: calc(62.5% - 0px);
    float: left;
    margin-left: 0;
    left: calc(4.1666666667% - 0px + 0px);
    position: relative;
}
.popular-item .new-entry-item-title {
    margin: 0;
    font-size: 0.95rem;
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
}
.popular-meta {
    float: right;
    margin-left: 0;
    margin-top: 6px;
    padding: 1px 7px;
    padding-left: 4px;
    font-size: 0.75rem;
    border-bottom: 1px dashed rgba(0, 0, 0, .35);
}


/* footer */

.back-to-top__content{
    box-shadow: none;
    border: var(--wp--preset--color--ys-yellow) 1.5px solid;
}

.footer-widget__column{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.5rem;
}
.footer-widget__column>*{
    margin: 0;
}
.footer-widget__column .wp-block-image img{
    width: auto;
    height: 60px;
}
.footer-main .site-info{
    margin-top: 3em;
    padding-top: 1em;
    border-top: #f9f3dd 1px solid;
}
@media (max-width: 599px) {
    .footer-widget__column .wp-block-image img{
        width: auto;
        height: 45px;
    }
}

/* content */

#content{
    position: relative;
    margin-top: 0;
    padding-top: 2.5em;
}
#content::before{
    content: '';
    width: 100%;
    height: 15px;
    display: block;
    position: absolute;
    top: 0px;
    left: 0;
    background-image: url(img/headerbg_hd.png);
    background-repeat: repeat-x;
    background-position: center bottom;
}
#breadcrumbs{
    background-color: rgba(206, 151, 1, 0.2);
    padding: 0.5em 0;
}
.breadcrumbs__list,
.breadcrumbs__list a{
    color: var(--wp--preset--color--ys-yellow);
    font-weight: 500;
}

.content__main{
    box-shadow: 0px 0px 3px #eee0bb;
}

.singular-header__thumbnail.post-thumbnail img{
    aspect-ratio: 16 / 9;
    object-fit: cover;
}
.singular-header__meta{
    flex-direction: row-reverse;
    justify-content: space-between;
}
.singular-date{
    margin-right: 0;
}
.singular-header__terms .ys-icon{
    display: none;
}
.singular-header__terms a{
    background-color: var(--wp--preset--color--ys-blue);
    padding: 0.2em 0.8em;
    border-radius: 1em;
    color: var(--wp--preset--color--ys-white);
    font-weight: 500;
}

.site-main h2.wp-block-heading{
    font-size: 1.65rem;
    line-height: 2rem;
    padding: 15px;
    padding-left: 24px;
    padding-bottom: 6px;
    margin-top: 3rem;
    margin-bottom: 1.6rem;
    position: relative;
    border-bottom: 2px solid var(--wp--preset--color--ys-yellow);
}
.site-main h2.wp-block-heading:before {
    content: "";
    position: absolute;
    background: #fff;
    border: 1px solid;
    border-color: var(--wp--preset--color--ys-yellow);
    top: 0;
    left: .4em;
    height: 12px;
    width: 12px;
    transform: rotate(45deg);
}
.site-main h2.wp-block-heading:after {
    content: "";
    position: absolute;
    background-color: var(--wp--preset--color--ys-yellow);
    top: .8em;
    left: .1em;
    height: 8px;
    width: 8px;
    transform: rotate(15deg);
}

.site-main h3.wp-block-heading {
    font-size: 1.5rem;
    line-height: 2rem;
    padding: 12px 20px;
    margin-top: 2.5rem;
    margin-bottom: 1.6rem;
    position: relative;
}
.site-main h3.wp-block-heading:before {
    position: absolute;
    content: "";
    width: 6px;
    height: 100%;
    left: 0;
    bottom: 0;
    background-color: var(--wp--preset--color--ys-yellow);
    border-radius: 3.5px;
}
.site-main h4.wp-block-heading {
    font-size: 1.3rem;
    line-height: 1.8rem;
    padding: 2px 12px;
    margin-top: 2rem;
    margin-bottom: 0.8rem;
    border-left: 3px solid var(--wp--preset--color--ys-yellow);
}

.ys-toc{
    border: rgba(43, 101, 188, 0.25) 3px solid;
    background-color: rgba(43, 101, 188, 0.02);
    --toc-list-border:var(--wp--preset--color--ys-blue);
}
.ys-toc__title{
    color: var(--wp--preset--color--ys-blue);
}

/* archive */

.archive__thumbnail{
    margin: -1rem 0 -1rem -1rem;
}
.archive__thumbnail .ratio.is-16-9:before{
    padding-top: 62%;
}
.archive__thumbnail a{
    height: 100%;
}
.archive__item.is-list .archive__meta .ys-icon{
    display: none;
}
.archive__item.is-list .archive__meta .archive__date{
    position: absolute;
    position: absolute;
    bottom: -0.8em;
    right: -0.3em;
    margin: 0;
    font-weight: 600;
}
.archive__item.is-list .archive__meta .archive__category{
    position: absolute;
    top: -0.5em;
    left: -0.5em;
    background-color: var(--wp--preset--color--ys-blue);
    color: var(--wp--preset--color--ys-white);
    font-weight: 500;
    border-radius: 40px;
    margin: 0;
    padding: 0.2em 0.8em;
}

@media (max-width: 599px) {
    .archive__item.is-list{
        --ystd-archive-thumbnail-width: min(40%, 150px);
    }
    .archive__excerpt,
    .archive__read-more{
        display: none;
    }
}
